import { EventEmitter, SimpleChanges, OnChanges, OnInit } from '@angular/core';
import { CategoryList } from '../interfaces/categoryList';
import { SnackBarService } from '../ui-kit/snack-bar/snack-bar.service';
import { AddRiskService } from '../workflow-services/add-risk.service';
import { AuthService } from '../workflow-services/auth.service';
import { FrequencyBulkService } from '../workflow-services/frequency.service';
import { IframeService } from '../services/iframe.service';
import * as i0 from "@angular/core";
export declare class AddMultipleRiskComponent implements OnInit, OnChanges {
    private riskService;
    private authService;
    private snackBar;
    private frequencyService;
    private iframeService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    feature: any;
    pickerChanged: EventEmitter<any>;
    populateOption: EventEmitter<any>;
    closeWorkflow: EventEmitter<any>;
    disconnectRefresh: EventEmitter<any>;
    categoryList: CategoryList;
    category: any;
    riskBulkUpload: any;
    templateInfo: any;
    isLoader: boolean;
    showCategoryList: boolean;
    templateDownloaded: boolean;
    downloadInProgress: boolean;
    loader: boolean;
    settingsInfo: any;
    isFileEmpty: boolean;
    isWrongFile: boolean;
    isWrongFormat: boolean;
    fileName: any;
    data: any;
    assessmentDeadLine: any;
    showExcel: boolean;
    fileValue: any;
    memberId: number;
    organizationId: number;
    errorMessage: string;
    downloadStatus: string;
    downloadPercent: number;
    ffLinkedGrcObjects: boolean;
    selectedRcId: number;
    selectedRcName: string;
    selectedGrcName: string;
    columnWiseData: any;
    smileyMessage: string;
    actionButtons: {
        buttonText: string;
        class: string;
        id: string;
    }[];
    showSmiley: boolean;
    member_obj_id: string;
    defaultOwner: string;
    riskData: any;
    frequencyType: string[];
    constructor(riskService: AddRiskService, authService: AuthService, snackBar: SnackBarService, frequencyService: FrequencyBulkService, iframeService: IframeService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    getCategoryList(): void;
    saveSelectedCategory(category: any): void;
    removeCategory(): void;
    getSettingsInfo(): void;
    triggerBrowseFile(): void;
    uploadedFile(event: any): void;
    checkEmptyFile(): boolean;
    checkValidity(risk: any): boolean;
    downloadTemplate(): void;
    submitRiskBulkUpload(completeAssessment: any): void;
    submitWorkflow(): void;
    private getOrigin;
    returnIds(item: any, key: string): any;
    reset(): void;
    action(event: string): void;
    closeSmiley(event: any): void;
    viewRisks(): void;
    /**
     * It takes an array of strings and returns an object with the array values as properties.
     * </code>
     * @param {any} risk - any = [
     * @returns [
     *   {
     *     "riskName": "",
     *     "description": "",
     *     "rcName": "",
     *     "owner": "",
     *     "frequency": "",
     *     "emailReminder": "",
     *     "overseer": "",
     *     "isValid": false,
     *     "mitigationPriority": "",
     */
    setRiskDetails(risk: any): any;
    /**
     * If the frequencyType is weekly, return 2, if it's monthly, return 7, if it's quarterly, return 7,
     * if it's biannual, return 30, if it's annual, return 30, if it's one time, return 15, otherwise
     * return 0.
     * @param {string} [frequencyType] - string - the frequency type of the reminder
     * @returns The return value is the number of days before the event that the reminder should be sent.
     */
    setDefaultEmailReminderValue(frequencyType?: string): any;
    /**
     * If the label is 'new risk', return 1, if the label is 'emerging/rapidly changing risks', return 2,
     * otherwise return 1
     * @param {string} [label] - the label of the risk
     * @returns The return value is the value of the last expression in the function.
     */
    setRiskLabel(label?: string): 1 | 2;
    /**
     * "If the date is a number, convert it to a date object, then create a new date object with the
     * timezone set to the user's timezone, then return the date in the format YYYY-MM-DD."
     * </code>
     * @param {any} date - any - the date you want to change the timezone of
     * @returns The date is being returned in the timezone of the user.
     */
    changeTimeZone(date: any): string;
    setFeatureFlag(): void;
    getColumnWiseData: (data: any[][]) => any[][];
    validateGrcObjectForRc(selectedRc: string, selectedGrc: string): boolean;
    getGrcList(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddMultipleRiskComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddMultipleRiskComponent, "app-add-multiple-risk", never, { "feature": { "alias": "feature"; "required": false; }; }, { "pickerChanged": "pickerChanged"; "populateOption": "populateOption"; "closeWorkflow": "closeWorkflow"; "disconnectRefresh": "disconnectRefresh"; }, never, never, false, never>;
}
