interface Frequency {
    type: 'daily';
}
interface Assignee {
    type: 'all' | 'any_one';
    userId: number[];
    userGroupId: number[];
}
interface ResponsibilityCenter {
    type: 'any' | 'all';
    id: number[];
}
interface ReviewerFrequency {
    dueDays: number;
    extensionDays: number;
}
interface Reviewer {
    type: 'sequential' | 'any_one';
    frequency: ReviewerFrequency;
    userId: number[];
}
interface OverseerGroup {
    userId: number[];
    userGroupId: number[];
}
interface Overseer {
    success: OverseerGroup;
    fail: OverseerGroup;
}
interface EvidenceFormat {
    type: 'link' | 'file' | '';
    data: string[];
}
interface Evidence {
    required: '0 | 1';
    format: EvidenceFormat;
}
interface Program {
    id: number[];
}
export interface Responsibility {
    title: string;
    key: number;
    riskClass: 'low' | 'low-medium' | 'medium-high' | 'high';
    notes: string;
    objective: string;
    frequency: Frequency;
    assignorId: number;
    assignee: Assignee;
    responsibilityCenter: ResponsibilityCenter;
    reviewer: Reviewer;
    overseer: Overseer;
    evidence: Evidence;
    tags: {
        [key: string]: string;
    };
    program: Program;
    grcObjectId: any[];
    assessmentId: string;
}
export {};
