import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { SelectionPopupState, SelectionState } from '../../constants/report-case.constants';
import { report } from '../case-type-slider/case-type.component';
import { ReportACaseService } from '../../services/report-a-case.service';
import { EditorConfig } from '@vcomply/editor';
import * as i0 from "@angular/core";
export declare class CaseCategoryComponent implements OnInit, OnChanges {
    private caseService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    categoryTexts: {
        case_type: string;
        report_case: string;
        add_case: string;
        default_flow: string;
        receive_updates: string;
        case_details: {
            name: {
                title: string;
                placeholder: string;
            };
            description: {
                title: string;
                placeholder: string;
            };
            rc: {
                title: string;
                placeholder: string;
                singularText: string;
                pluralText: string;
                mainRcPlaceholder: string;
                separateRcText: string;
                separateRcTooltip: string;
                sameRcText: string;
                sameRcTooltip: string;
            };
            case_type: {
                title: string;
                placeholder: string;
            };
            category: {
                title: string;
                placeholder: string;
            };
            additional_category: {
                title: string;
                placeholder: string;
            };
            when: {
                title: string;
                placeholder: string;
            };
            priority: {
                title: string;
                placeholder: string;
            };
            attachments: {
                title: string;
                placeholder: string;
            };
            due_date: {
                title: string;
                placeholder: string;
                deadline_placeholder: string;
                disabledText: string;
                helpText: string;
            };
            assignees: {
                title: string;
                placeholder: string;
                helpText: string;
            };
            owners: {
                title: string;
                placeholder: string;
                helpText: string;
                disabledText: string;
            };
        };
        tooltipMessage: {
            report_case: string;
            add_case: string;
            receive_updates: string;
            rc: string;
            workflow: string;
        };
        errorMessage: {
            rc: string;
            name: string;
            description: string;
            caseType: string;
            reportDate: string;
            priority: string;
            mainRc: string;
            caseOwner: string;
            caseAssignee: string;
            dueDate: string;
            stageAssignee: string;
            caseResolutionDeadline: string;
        };
    };
    caseCategoryList: any[];
    config: any;
    categoryClicked: boolean;
    additionalCategoryClicked: boolean;
    categoryListLoader: boolean;
    SelectionState: typeof SelectionState;
    SelectionPopupState: typeof SelectionPopupState;
    state: string;
    additionalCategoryState: string;
    selectedItems: any[];
    selectedAdditionalItems: any[];
    selectedCategoryList: any[];
    selectedAdditionalCategoryList: any[];
    initialCategory: any;
    caseType: typeof report;
    fieldSelector: string[];
    customField: EditorConfig;
    initialAdditionalCategory: any;
    filteredCaseCategoryList: any[];
    payload: any;
    fieldSelected: string;
    caseTypeSelected: any;
    set initialSelection(value: any);
    set initialAdditionalSelection(value: any);
    mode: string;
    workflowType: string;
    onCategoryChange: EventEmitter<any>;
    fieldClicked: EventEmitter<any>;
    filterDeselector: EventEmitter<any>;
    constructor(caseService: ReportACaseService);
    ngOnInit(): void;
    trackByIndex(index: number): number;
    updateCustomField(value: any, index: number): void;
    ngOnChanges(changes: SimpleChanges): void;
    getAllCategories(): void;
    populateInitialCategory(): void;
    private isACTWWorkflow;
    private isRACWorkflow;
    private handleDefaultCase;
    updateRACCategory(): void;
    updateACTWCategory(): void;
    saveSelectedCategoryList(event: any): void;
    updateFilteredCategoryList(): void;
    saveSelectedAdditionalCategoryList(event: any): void;
    setSelectedAdditionalCategoryList(event: any[]): void;
    setSelectedCategoryList(event: any[]): void;
    activateSelector(active: boolean): void;
    activateAdditionalCategorySelector(active: boolean): void;
    setCategoryList(event: any): void;
    setAdditionalCategoryList(event: any[]): void;
    get categoryEditDisable(): boolean;
    resetCategoryList(): void;
    resetAdditionalCategoryList(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseCategoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CaseCategoryComponent, "app-case-category", never, { "payload": { "alias": "payload"; "required": false; }; "fieldSelected": { "alias": "fieldSelected"; "required": false; }; "caseTypeSelected": { "alias": "caseTypeSelected"; "required": false; }; "initialSelection": { "alias": "initialSelection"; "required": false; }; "initialAdditionalSelection": { "alias": "initialAdditionalSelection"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "workflowType": { "alias": "workflowType"; "required": false; }; }, { "onCategoryChange": "onCategoryChange"; "fieldClicked": "fieldClicked"; "filterDeselector": "filterDeselector"; }, never, never, false, never>;
}
