import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { SelectionPopupState, SelectionState } from '../../constants/report-case.constants';
import { ReportACaseService } from '../../services/report-a-case.service';
import * as i0 from "@angular/core";
export declare class CaseOwnersComponent implements OnInit, OnDestroy {
    private reportACaseService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    ownerTexts: {
        case_type: string;
        report_case: string;
        add_case: string;
        default_flow: string;
        receive_updates: string;
        case_details: {
            name: {
                title: string;
                placeholder: string;
            };
            description: {
                title: string;
                placeholder: string;
            };
            rc: {
                title: string;
                placeholder: string;
                singularText: string;
                pluralText: string;
                mainRcPlaceholder: string;
                separateRcText: string;
                separateRcTooltip: string;
                sameRcText: string;
                sameRcTooltip: string;
            };
            case_type: {
                title: string;
                placeholder: string;
            };
            category: {
                title: string;
                placeholder: string;
            };
            additional_category: {
                title: string;
                placeholder: string;
            };
            when: {
                title: string;
                placeholder: string;
            };
            priority: {
                title: string;
                placeholder: string;
            };
            attachments: {
                title: string;
                placeholder: string;
            };
            due_date: {
                title: string;
                placeholder: string;
                deadline_placeholder: string;
                disabledText: string;
                helpText: string;
            };
            assignees: {
                title: string;
                placeholder: string;
                helpText: string;
            };
            owners: {
                title: string;
                placeholder: string;
                helpText: string;
                disabledText: string;
            };
        };
        tooltipMessage: {
            report_case: string;
            add_case: string;
            receive_updates: string;
            rc: string;
            workflow: string;
        };
        errorMessage: {
            rc: string;
            name: string;
            description: string;
            caseType: string;
            reportDate: string;
            priority: string;
            mainRc: string;
            caseOwner: string;
            caseAssignee: string;
            dueDate: string;
            stageAssignee: string;
            caseResolutionDeadline: string;
        };
    };
    caseOwnersList: any[];
    config: any;
    ownersHelpText: string;
    ownerClicked: boolean;
    ownerListLoader: boolean;
    SelectionState: typeof SelectionState;
    SelectionPopupState: typeof SelectionPopupState;
    state: string;
    selectedItems: any[];
    selectedOwnerList: any[];
    workflowDetails: any;
    fieldSelector: string[];
    isInternalChange: boolean;
    payload: any;
    fieldSelected: string;
    set initialSelection(value: any);
    workflowId: string;
    validationError: any;
    mode: string;
    fieldClicked: EventEmitter<any>;
    filterDeselector: EventEmitter<any>;
    constructor(reportACaseService: ReportACaseService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    getWorkflowDetails(): void;
    getCaseOwnersList(workflowId: string): void;
    populateOwnerList(): void;
    setDefaultOwner(): void;
    saveSelectedOwnerList(event: any): void;
    setSelectedOwnersList(event: any): void;
    activateSelector(active: boolean): void;
    setOwnerList(event: any): void;
    setPayload(event: any): void;
    isCaseOwnerSelectionDisabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseOwnersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CaseOwnersComponent, "app-case-owners", never, { "payload": { "alias": "payload"; "required": false; }; "fieldSelected": { "alias": "fieldSelected"; "required": false; }; "initialSelection": { "alias": "initialSelection"; "required": false; }; "workflowId": { "alias": "workflowId"; "required": false; }; "validationError": { "alias": "validationError"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; }, { "fieldClicked": "fieldClicked"; "filterDeselector": "filterDeselector"; }, never, never, false, never>;
}
