import { EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import { SelectionPopupState, SelectionState } from '../../constants/report-case.constants';
import { ReportACaseService } from '../../services/report-a-case.service';
import { report } from '../case-type-slider/case-type.component';
import { EditorConfig } from 'vcomply-editor';
import * as i0 from "@angular/core";
export declare class CaseDropdownComponent implements OnInit {
    private reportACaseService;
    reportTexts: {
        case_type: string;
        report_case: string;
        add_case: string;
        default_flow: string;
        receive_updates: string;
        case_details: {
            name: {
                title: string;
                placeholder: string;
            };
            description: {
                title: string;
                placeholder: string;
            };
            rc: {
                title: string;
                placeholder: string;
                singularText: string;
                pluralText: string;
                mainRcPlaceholder: string;
                separateRcText: string;
                separateRcTooltip: string;
                sameRcText: string;
                sameRcTooltip: string;
            };
            case_type: {
                title: string;
                placeholder: string;
            };
            category: {
                title: string;
                placeholder: string;
            };
            additional_category: {
                title: string;
                placeholder: string;
            };
            when: {
                title: string;
                placeholder: string;
            };
            priority: {
                title: string;
                placeholder: string;
            };
            attachments: {
                title: string;
                placeholder: string;
            };
            due_date: {
                title: string;
                placeholder: string;
                deadline_placeholder: string;
                disabledText: string;
                helpText: string;
            };
            assignees: {
                title: string;
                placeholder: string;
                helpText: string;
            };
            owners: {
                title: string;
                placeholder: string;
                helpText: string;
                disabledText: string;
            };
        };
        tooltipMessage: {
            report_case: string;
            add_case: string;
            receive_updates: string;
            rc: string;
            workflow: string;
        };
        errorMessage: {
            rc: string;
            name: string;
            description: string;
            caseType: string;
            reportDate: string;
            priority: string;
            mainRc: string;
            caseOwner: string;
            caseAssignee: string;
            dueDate: string;
            stageAssignee: string;
            caseResolutionDeadline: string;
        };
    };
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    config: any;
    chipItems: any[];
    allTypes: any[];
    selectionState: typeof SelectionState;
    selectionPopupState: typeof SelectionPopupState;
    isLoading: boolean;
    initialType: any;
    state: SelectionState;
    caseType: typeof report;
    fieldSelector: string[];
    customField: EditorConfig;
    fieldSelected: string;
    payload: any;
    validationError: any;
    set initialSelection(value: any);
    mode: string;
    caseTypeSelected: string;
    workflowType: string;
    onCaseTypeChange: EventEmitter<any>;
    onCaseTypeLoading: EventEmitter<boolean>;
    constructor(reportACaseService: ReportACaseService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getAllTypes(): void;
    populateInitialType(): void;
    onSelectedItemListChange(event: any): void;
    get caseTypeEditDisable(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CaseDropdownComponent, "app-case-type-dropdown", never, { "fieldSelected": { "alias": "fieldSelected"; "required": false; }; "payload": { "alias": "payload"; "required": false; }; "validationError": { "alias": "validationError"; "required": false; }; "initialSelection": { "alias": "initialSelection"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "caseTypeSelected": { "alias": "caseTypeSelected"; "required": false; }; "workflowType": { "alias": "workflowType"; "required": false; }; }, { "onCaseTypeChange": "onCaseTypeChange"; "onCaseTypeLoading": "onCaseTypeLoading"; }, never, never, false, never>;
}
