import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare enum report {
    REPORT_CASE = "reportCase",
    ADD_CASE_TO_WORKFLOW = "addCaseToWorkflow"
}
export declare class CaseTypeComponent implements OnInit {
    reportTexts: {
        case_type: string;
        report_case: string;
        add_case: string;
        default_flow: string;
        receive_updates: string;
        case_details: {
            name: {
                title: string;
                placeholder: string;
            };
            description: {
                title: string;
                placeholder: string;
            };
            rc: {
                title: string;
                placeholder: string;
                singularText: string;
                pluralText: string;
                mainRcPlaceholder: string;
                separateRcText: string;
                separateRcTooltip: string;
                sameRcText: string;
                sameRcTooltip: string;
            };
            case_type: {
                title: string;
                placeholder: string;
            };
            category: {
                title: string;
                placeholder: string;
            };
            additional_category: {
                title: string;
                placeholder: string;
            };
            when: {
                title: string;
                placeholder: string;
            };
            priority: {
                title: string;
                placeholder: string;
            };
            attachments: {
                title: string;
                placeholder: string;
            };
            due_date: {
                title: string;
                placeholder: string;
                deadline_placeholder: string;
                disabledText: string;
                helpText: string;
            };
            assignees: {
                title: string;
                placeholder: string;
                helpText: string;
            };
            owners: {
                title: string;
                placeholder: string;
                helpText: string;
                disabledText: string;
            };
        };
        tooltipMessage: {
            report_case: string;
            add_case: string;
            receive_updates: string;
            rc: string;
            workflow: string;
        };
        errorMessage: {
            rc: string;
            name: string;
            description: string;
            caseType: string;
            reportDate: string;
            priority: string;
            mainRc: string;
            caseOwner: string;
            caseAssignee: string;
            dueDate: string;
            stageAssignee: string;
            caseResolutionDeadline: string;
        };
    };
    caseType: typeof report;
    caseSelected: report;
    fieldSelector: string[];
    fieldSelected: string;
    caseTypeChange: EventEmitter<report>;
    constructor();
    ngOnInit(): void;
    toggleCaseType(type: report): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseTypeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CaseTypeComponent, "app-case-type", never, { "fieldSelected": { "alias": "fieldSelected"; "required": false; }; }, { "caseTypeChange": "caseTypeChange"; }, never, never, false, never>;
}
