import { ReportACaseService } from '../../services/report-a-case.service';
import * as i0 from "@angular/core";
export declare class InformationBlockComponent {
    private reportACaseService;
    workflowDetails: any;
    defaultFlow: string;
    reportText: {
        case_type: string;
        report_case: string;
        add_case: string;
        default_flow: string;
        receive_updates: string;
        case_details: {
            name: {
                title: string;
                placeholder: string;
            };
            description: {
                title: string;
                placeholder: string;
            };
            rc: {
                title: string;
                placeholder: string;
                singularText: string;
                pluralText: string;
                mainRcPlaceholder: string;
                separateRcText: string;
                separateRcTooltip: string;
                sameRcText: string;
                sameRcTooltip: string;
            };
            case_type: {
                title: string;
                placeholder: string;
            };
            category: {
                title: string;
                placeholder: string;
            };
            additional_category: {
                title: string;
                placeholder: string;
            };
            when: {
                title: string;
                placeholder: string;
            };
            priority: {
                title: string;
                placeholder: string;
            };
            attachments: {
                title: string;
                placeholder: string;
            };
            due_date: {
                title: string;
                placeholder: string;
                deadline_placeholder: string;
                disabledText: string;
                helpText: string;
            };
            assignees: {
                title: string;
                placeholder: string;
                helpText: string;
            };
            owners: {
                title: string;
                placeholder: string;
                helpText: string;
                disabledText: string;
            };
        };
        tooltipMessage: {
            report_case: string;
            add_case: string;
            receive_updates: string;
            rc: string;
            workflow: string;
        };
        errorMessage: {
            rc: string;
            name: string;
            description: string;
            caseType: string;
            reportDate: string;
            priority: string;
            mainRc: string;
            caseOwner: string;
            caseAssignee: string;
            dueDate: string;
            stageAssignee: string;
            caseResolutionDeadline: string;
        };
    };
    isDefaultFlow: boolean;
    constructor(reportACaseService: ReportACaseService);
    getWorkflowDetails(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InformationBlockComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InformationBlockComponent, "app-information-block", never, {}, {}, never, never, false, never>;
}
