import { EventEmitter, SimpleChanges, OnInit, OnDestroy } from '@angular/core';
import { SelectionPopupState, SelectionState } from '../../constants/report-case.constants';
import { ComplianceCommonService } from '../../../workflow-services/common-workflow-services/compliance-common.service';
import { report } from '../case-type-slider/case-type.component';
import * as i0 from "@angular/core";
export declare class RcDetailsComponent implements OnInit, OnDestroy {
    private complianceService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    rcTexts: {
        case_type: string;
        report_case: string;
        add_case: string;
        default_flow: string;
        receive_updates: string;
        case_details: {
            name: {
                title: string;
                placeholder: string;
            };
            description: {
                title: string;
                placeholder: string;
            };
            rc: {
                title: string;
                placeholder: string;
                singularText: string;
                pluralText: string;
                mainRcPlaceholder: string;
                separateRcText: string;
                separateRcTooltip: string;
                sameRcText: string;
                sameRcTooltip: string;
            };
            case_type: {
                title: string;
                placeholder: string;
            };
            category: {
                title: string;
                placeholder: string;
            };
            additional_category: {
                title: string;
                placeholder: string;
            };
            when: {
                title: string;
                placeholder: string;
            };
            priority: {
                title: string;
                placeholder: string;
            };
            attachments: {
                title: string;
                placeholder: string;
            };
            due_date: {
                title: string;
                placeholder: string;
                deadline_placeholder: string;
                disabledText: string;
                helpText: string;
            };
            assignees: {
                title: string;
                placeholder: string;
                helpText: string;
            };
            owners: {
                title: string;
                placeholder: string;
                helpText: string;
                disabledText: string;
            };
        };
        tooltipMessage: {
            report_case: string;
            add_case: string;
            receive_updates: string;
            rc: string;
            workflow: string;
        };
        errorMessage: {
            rc: string;
            name: string;
            description: string;
            caseType: string;
            reportDate: string;
            priority: string;
            mainRc: string;
            caseOwner: string;
            caseAssignee: string;
            dueDate: string;
            stageAssignee: string;
            caseResolutionDeadline: string;
        };
    };
    caseType: typeof report;
    responsibilityCentersList: any[];
    mainRcConfig: any;
    config: any;
    rcClicked: boolean;
    rcListLoader: boolean;
    SelectionState: typeof SelectionState;
    SelectionPopupState: typeof SelectionPopupState;
    state: string;
    mainRcState: string;
    selectedItems: any[];
    selectedRcList: any[];
    selectedMainRcItems: any[];
    fieldSelector: string[];
    currentSelector: string;
    payload: any;
    fieldSelected: string;
    caseTypeSelected: string;
    validationError: any;
    set initialSelection(value: any);
    mode: string;
    workflowType: string;
    fieldClicked: EventEmitter<any>;
    onRcChange: EventEmitter<any>;
    filterDeselector: EventEmitter<any>;
    constructor(complianceService: ComplianceCommonService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getResponsibilityCentersList(): void;
    populateSelectedItems(): void;
    saveSelectedRCList(event: any): void;
    setMainRcList(event: any): void;
    saveMainRcList(event: any): void;
    setPayload(event: any): void;
    setSelectedRcList(event: any): void;
    activateSelector(active: boolean): void;
    setRcList(event: any): void;
    resetRcList(): void;
    onRcTypeChange(event: any): void;
    get rcEditDisable(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<RcDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RcDetailsComponent, "app-rc-details", never, { "payload": { "alias": "payload"; "required": false; }; "fieldSelected": { "alias": "fieldSelected"; "required": false; }; "caseTypeSelected": { "alias": "caseTypeSelected"; "required": false; }; "validationError": { "alias": "validationError"; "required": false; }; "initialSelection": { "alias": "initialSelection"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "workflowType": { "alias": "workflowType"; "required": false; }; }, { "fieldClicked": "fieldClicked"; "onRcChange": "onRcChange"; "filterDeselector": "filterDeselector"; }, never, never, false, never>;
}
