import { ElementRef } from '@angular/core';
import { DatePickerComponent } from 'ng2-date-picker';
import moment from 'moment';
import { CommonService } from '../../../services/common.service';
import * as i0 from "@angular/core";
export declare class ReportDateComponent {
    private commonService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    reportTexts: {
        case_type: string;
        report_case: string;
        add_case: string;
        default_flow: string;
        receive_updates: string;
        case_details: {
            name: {
                title: string;
                placeholder: string;
            };
            description: {
                title: string;
                placeholder: string;
            };
            rc: {
                title: string;
                placeholder: string;
                singularText: string;
                pluralText: string;
                mainRcPlaceholder: string;
                separateRcText: string;
                separateRcTooltip: string;
                sameRcText: string;
                sameRcTooltip: string;
            };
            case_type: {
                title: string;
                placeholder: string;
            };
            category: {
                title: string;
                placeholder: string;
            };
            additional_category: {
                title: string;
                placeholder: string;
            };
            when: {
                title: string;
                placeholder: string;
            };
            priority: {
                title: string;
                placeholder: string;
            };
            attachments: {
                title: string;
                placeholder: string;
            };
            due_date: {
                title: string;
                placeholder: string;
                deadline_placeholder: string;
                disabledText: string;
                helpText: string;
            };
            assignees: {
                title: string;
                placeholder: string;
                helpText: string;
            };
            owners: {
                title: string;
                placeholder: string;
                helpText: string;
                disabledText: string;
            };
        };
        tooltipMessage: {
            report_case: string;
            add_case: string;
            receive_updates: string;
            rc: string;
            workflow: string;
        };
        errorMessage: {
            rc: string;
            name: string;
            description: string;
            caseType: string;
            reportDate: string;
            priority: string;
            mainRc: string;
            caseOwner: string;
            caseAssignee: string;
            dueDate: string;
            stageAssignee: string;
            caseResolutionDeadline: string;
        };
    };
    datePickerOverlay: boolean;
    dateConfig: {
        disableKeypress: boolean;
        format: string;
        unSelectOnClick: boolean;
        openOnClick: boolean;
        openOnFocus: boolean;
        max: moment.Moment;
    };
    fieldSelector: string[];
    payload: any;
    fieldSelected: string;
    validationError: any;
    constructor(commonService: CommonService);
    datePicker: DatePickerComponent;
    datePickerPopUp: ElementRef;
    openDatePicker(): void;
    closeDatePicker(evt: any): void;
    resetValidationErrors(): void;
    documentClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportDateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReportDateComponent, "app-report-date", never, { "payload": { "alias": "payload"; "required": false; }; "fieldSelected": { "alias": "fieldSelected"; "required": false; }; "validationError": { "alias": "validationError"; "required": false; }; }, {}, never, never, false, never>;
}
