export declare const REPORT_CASE: {
    case_type: string;
    report_case: string;
    add_case: string;
    default_flow: string;
    receive_updates: string;
    case_details: {
        name: {
            title: string;
            placeholder: string;
        };
        description: {
            title: string;
            placeholder: string;
        };
        rc: {
            title: string;
            placeholder: string;
            singularText: string;
            pluralText: string;
            mainRcPlaceholder: string;
            separateRcText: string;
            separateRcTooltip: string;
            sameRcText: string;
            sameRcTooltip: string;
        };
        case_type: {
            title: string;
            placeholder: string;
        };
        category: {
            title: string;
            placeholder: string;
        };
        additional_category: {
            title: string;
            placeholder: string;
        };
        when: {
            title: string;
            placeholder: string;
        };
        priority: {
            title: string;
            placeholder: string;
        };
        attachments: {
            title: string;
            placeholder: string;
        };
        due_date: {
            title: string;
            placeholder: string;
            deadline_placeholder: string;
            disabledText: string;
            helpText: string;
        };
        assignees: {
            title: string;
            placeholder: string;
            helpText: string;
        };
        owners: {
            title: string;
            placeholder: string;
            helpText: string;
            disabledText: string;
        };
    };
    tooltipMessage: {
        report_case: string;
        add_case: string;
        receive_updates: string;
        rc: string;
        workflow: string;
    };
    errorMessage: {
        rc: string;
        name: string;
        description: string;
        caseType: string;
        reportDate: string;
        priority: string;
        mainRc: string;
        caseOwner: string;
        caseAssignee: string;
        dueDate: string;
        stageAssignee: string;
        caseResolutionDeadline: string;
    };
};
export declare const DEFAULT_FORM_CONFIG: {
    placeholder: string;
    isError: boolean;
    errorMessage: string;
    items: never[];
    isMulti: boolean;
    showIndeterminateCheckbox: boolean;
    indeterminateCheckboxLabel: string;
    showChipCapsule: boolean;
    action: string;
};
export declare enum SelectionState {
    EMPTY = "empty",
    SELECTED = "selected",
    DISABLED = "disabled"
}
export declare enum SelectionPopupState {
    DROP_DOWN = "drop-down",
    SELECTION_DIALOG = "selection-dialog"
}
export declare enum ACTION_CODE {
    RC = "RC",
    CC = "CC"
}
export declare const REPORT_CASE_PAYLOAD: any;
export declare const ADD_TO_CASE_WORKFLOW: {
    name: string;
    description: {
        text: string;
        attachments: never[];
    };
    receive_updates: boolean;
    rc_details: {
        ids: never[];
        separate_rc_cases: boolean;
        main_rc_id: string;
    };
    occurrence_date: string;
    case_type: {
        id: string;
        custom_fields: never[];
    };
    priority: {
        id: string;
        custom_fields: never[];
    };
    category: {
        ids: never[];
        custom_fields: never[];
    };
    additional_category: {
        ids: never[];
        custom_fields: never[];
    };
    supporting_documents: never[];
    stage: string;
    risk_class: number;
    caseToWorkflow: {
        workflow_id: string;
        owners: never[];
        assignees: never[];
        assignees_group: never[];
        resolution_deadline: {
            due_date: string;
            stages_assignees: never[];
            assignee_remind_before: number;
            owner_remind_before: number;
        };
        exception_type: string;
        associated_risks: {
            text: string;
            attachments: never[];
        };
        oversights: {
            cc_ids: never[];
            cc_failures_ids: never[];
        };
        evidence_enabled: boolean;
        recommendations: {
            text: string;
            attachments: never[];
        };
    };
    responsibilities_Linked: never[];
    linked_assessment_issues: {
        resp_id: string;
        due_date_id: string;
        assessment_id: string;
        question_id: string;
        auditee_id: number;
    };
    source: string;
};
export declare const ADD_TO_WORKFLOW_PAYLOAD: {
    workflow_id: string;
    case_id: string;
    owners: never[];
    assignees: never[];
    assignees_group: never[];
    resolution_deadline: {
        due_date: string;
        stages_assignees: never[];
        assignee_remind_before: number;
        owner_remind_before: number;
    };
    exception_type: string;
    associated_risks: {
        text: string;
        attachments: never[];
    };
    oversights: {
        cc_ids: never[];
        cc_failures_ids: never[];
    };
    evidence_enabled: boolean;
    recommendations: {
        text: string;
        attachments: never[];
    };
};
export declare const EXCEPTION_TYPE: {
    DESIGN_EXCEPTION: string;
    EFFECTIVENESS_EXCEPTION: string;
};
export declare const SELECTOR_CONFIG: {
    CASE_CATEGORY: {
        panelTitle: string;
        entitySingular: string;
        entityPlural: string;
        displayKey: string;
        identifierKey: string;
        parentKey: string;
        parentDisplayKey: string;
        searchPlaceholder: string;
        noDataText: string;
    };
};
export declare const OVERSIGHT_SELECTOR_CONFIG: {
    panelTitle: string;
    floatingTextSingular: string;
    searchPlaceholder: string;
    searchEnabled: boolean;
    selectAllEnabled: boolean;
    noDataText: string;
};
export declare const HELPER_TEXT: {
    transition_status: string;
    assignee: string;
    deadline: string;
};
export declare const WORKFLOW_DETAILS_PARAMS: {
    rc_details: {
        id: string;
    };
    case_type: {
        id: string;
    };
    priority: {
        id: string;
    };
    category: {
        id: string;
    };
};
export declare const SIDE_SELECTOR_ELEMENTS: string[];
export declare const RISK_CLASSIFICATION: {
    name: string;
    value: number;
    class: string;
}[];
export declare const ADDITIONAL_OPTION_STATUS: {
    EXCEPTION_TYPE: boolean;
    EVIDENCE: boolean;
    PRIORITY: boolean;
    ISSUE_TYPE: boolean;
    ASSOCIATED_RISKS: boolean;
    OVERSIGHT: boolean;
    RECOMMENDED_ACTIONS: boolean;
    RISK_CLASSIFICATION: boolean;
};
export declare const VALIDATION_ERROR: {
    name: {
        isError: boolean;
        message: string;
    };
    description: {
        isError: boolean;
        message: string;
    };
    reportDate: {
        isError: boolean;
        message: string;
    };
    caseType: {
        isError: boolean;
        message: string;
    };
    priority: {
        isError: boolean;
        message: string;
    };
    rc: {
        isError: boolean;
        message: string;
    };
    mainRc: {
        isError: boolean;
        message: string;
    };
    caseOwner: {
        isError: boolean;
        message: string;
    };
    caseAssignee: {
        isError: boolean;
        message: string;
    };
    caseResolutionDeadline: {
        isError: boolean;
        message: string;
    };
};
export declare const ACTION_BUTTONS: {
    buttonText: string;
    class: string;
    id: string;
}[];
export declare const SMILEY_MESSAGE = "You're all set!";
export declare const ADD_TO_WORKFLOW_MOCK: {
    workflow_id: string;
    owners: string[];
    assignees: string[];
    assignees_group: string[];
    resolution_deadline: {
        due_date: string;
        stages_assignees: {
            stage_id: string;
            assignee_id: string;
            due_date: string;
        }[];
        assignee_remind_before: number;
        owner_remind_before: number;
    };
    exception_type: string;
    associated_risks: {
        text: string;
        attachments: never[];
    };
    oversights: {
        cc_ids: string[];
        cc_failures_ids: string[];
    };
    evidence_enabled: boolean;
    recommendations: {
        text: string;
        attachments: never[];
    };
};
export declare const EMAIL_REMINDERS: {
    email_reminder: number;
    escalation_email_reminder: number;
};
export declare const FIELD_SELECTOR: string[];
export declare const MONTH_NAMES: string[];
export declare const BANNER_CASE_RESOLUTION_DEADLINE_WARNING = "Note: Please ensure that the case resolution deadline is not set before the associated task due date within this case.";
