import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { Configurations } from '../../configurations';
import { AuthService } from '../../workflow-services/auth.service';
import * as i0 from "@angular/core";
export declare class ReportACaseService {
    private http;
    private authService;
    private getAllTypes$;
    private getAllPriorities$;
    private getAllCategories$;
    private workflowSubject;
    workflow$: Observable<any>;
    workflowCode: Subject<string>;
    resetMoreOption: Subject<boolean>;
    caseTypeLoader: BehaviorSubject<boolean>;
    env: any;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    private fetchAllTypes;
    private fetchAllPriorities;
    private fetchAllCategories;
    getAllCategories(): Observable<any>;
    getAllTypes(): Observable<any>;
    getAllPriorities(): Observable<any>;
    reportACase(payload: any): Observable<any>;
    addCaseToWorkflow(payload: any): Observable<any>;
    updateCase(payload: any, caseId: string): Observable<any>;
    getWorkflowDetails(params: any): import("rxjs").Subscription;
    getCaseOwners(workflow_id: string): Observable<Object>;
    getCaseDetails(caseId: string): Observable<Object>;
    validateCaseDeadline(caseId: string): Observable<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportACaseService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ReportACaseService>;
}
