import { ApiService } from './api.service';
import * as i0 from "@angular/core";
export declare class RbacService {
    private apiService;
    permissions: any;
    data: any;
    constructor(apiService: ApiService);
    /**
     * Retrieves the RBAC (Role-Based Access Control) permissions for a given module.
     *
     * @param MODULE - The module for which to retrieve the permissions. Must be one of the following values:
     *   - 'assessment'
     *   - 'audit'
     *   - 'issue'
     *   - 'policy'
     *   - 'risk'
     *   - 'assurance'
     *   - 'compliance'
     *   - 'organization'
     *
     * @returns An array of strings representing the permissions for the specified module.
     */
    getRBACPermissions(MODULE: 'assessment' | 'audit' | 'issue' | 'policy' | 'risk' | 'assurance' | 'compliance' | 'organization' | 'case'): any;
    getRBACData(MODULE: 'assessment' | 'audit' | 'issue' | 'policy' | 'risk' | 'assurance' | 'compliance' | 'organization' | 'case'): import("rxjs").Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RbacService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RbacService>;
}
