import { OnInit, EventEmitter } from '@angular/core';
import { AuthService } from '../../workflow-services/auth.service';
import { ResponsibilityService } from '../../workflow-services/responsibility.service';
import { AssessmentCategoryList } from './service/assessment.interface';
import { AssessmentService } from './service/assessment.service';
import * as i0 from "@angular/core";
export declare class AssessmentListComponent implements OnInit {
    private responsibilityService;
    private assessmentService;
    private auth;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    animation: boolean;
    selectedData: any;
    subList: boolean;
    isEdit: boolean;
    mode: string;
    openedCategory: Array<number>;
    assessmentPayload: {
        search_title: string;
        page_no: string;
        state: string;
        search_text: string;
        alphabet_filter: string;
    };
    dataPerPage: number;
    assessmentCategory: AssessmentCategoryList;
    isLoader: boolean;
    selectedAssessment: {
        assessment_id: string;
        category_id: string;
        assessmentDetails: undefined;
        category_details: undefined;
    };
    isDeleted: boolean;
    searchAssessments: string;
    previewQuestionData: any;
    isPreview: boolean;
    selectedAssessmentData: any;
    program_ids: string;
    onAssessmentSelect: EventEmitter<any>;
    cancelAssessment: EventEmitter<any>;
    constructor(responsibilityService: ResponsibilityService, assessmentService: AssessmentService, auth: AuthService);
    ngOnInit(): void;
    onAssessmentSelected(event: any): void;
    preview(evt: any): void;
    previewBack(): void;
    /**
     *
     * @param index : Accept index of elementPosition
     *
     */
    showSubList(index: number, id: string): number[];
    /**
     *
     * @param event : page number that has been selected
     */
    onPageSelection(event: number): void;
    /**
     *
     * @param search : search text
     */
    onAssessmentSearch(search: string): void;
    /**
     *
     * @param event : Assessment category filter of Alphabet
     */
    onAlphabetSelected(event: string): void;
    getAssessmentCategoryList(): void;
    /**
     *
     * @param id : Assessment category id
     */
    getAssessmentList(index: number, id: string): void;
    /**
     *
     * @param category_id :selected assessment's category's object id
     * @param assessment_id : Selected assessment's object id
     */
    setAssessment(category_details: any, assessmentDetails: any): void;
    save(): void;
    close(): void;
    deleteEvent(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssessmentListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssessmentListComponent, "app-assessment-list", never, { "isEdit": { "alias": "isEdit"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "selectedAssessment": { "alias": "selectedAssessment"; "required": false; }; "selectedAssessmentData": { "alias": "selectedAssessmentData"; "required": false; }; "program_ids": { "alias": "program_ids"; "required": false; }; }, { "onAssessmentSelect": "onAssessmentSelect"; "cancelAssessment": "cancelAssessment"; }, never, never, false, never>;
}
