import { PlatformLocation } from '@angular/common';
import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { SnackBarService } from '../../ui-kit/snack-bar/snack-bar.service';
import { PolicyService } from '../../workflow-services/policy.service';
import { PolicyAPIService } from '../../workflow-services/policy-api.service';
import { IframeService } from '../../services/iframe.service';
import * as i0 from "@angular/core";
export declare class DocumentSectionComponent implements OnInit, OnChanges {
    private snackBar;
    private policyService;
    private policyAPIService;
    private router;
    private route;
    private iframeService;
    private fileToUpload;
    filename: string;
    fileType: string;
    pdf: boolean;
    draft: boolean;
    doc: boolean;
    isUploading: boolean;
    isLoader: boolean;
    ff_policy_ms_word_integration: boolean;
    createWordPolicyText: string;
    selectedDocumentType: string;
    feature: any;
    templateView: boolean;
    policyId: any;
    policyName: any;
    organization_id: any;
    member_obj_id: any;
    userInfo: any;
    templateUrl: string;
    isTemplateOpened: boolean;
    disconnectRefresh: EventEmitter<any>;
    editPolicy: EventEmitter<any>;
    openTemplate: EventEmitter<any>;
    baseURL: string;
    docxError: {
        visible: boolean;
        message: string;
    };
    constructor(snackBar: SnackBarService, policyService: PolicyService, policyAPIService: PolicyAPIService, router: Router, route: ActivatedRoute, platformLocation: PlatformLocation, iframeService: IframeService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    initialiseFeatureFlags(): void;
    redirectUserToWordPolicy(): void;
    createWordPolicy(): void;
    handleFileInput(files: FileList): void;
    showPdfBlock: boolean;
    showDocxBlock: boolean;
    uploadFile(event: any): void;
    uploadDocxfile(event: any): void;
    resetDocsError(): void;
    changeDocType(event: any): void;
    editor(event: string): void;
    editPolicyEmit(): void;
    openTemplateList(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DocumentSectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DocumentSectionComponent, "lib-document-section", never, { "selectedDocumentType": { "alias": "selectedDocumentType"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; "templateView": { "alias": "templateView"; "required": false; }; "policyId": { "alias": "policyId"; "required": false; }; "policyName": { "alias": "policyName"; "required": false; }; "organization_id": { "alias": "organization_id"; "required": false; }; "member_obj_id": { "alias": "member_obj_id"; "required": false; }; "userInfo": { "alias": "userInfo"; "required": false; }; "templateUrl": { "alias": "templateUrl"; "required": false; }; "isTemplateOpened": { "alias": "isTemplateOpened"; "required": false; }; }, { "disconnectRefresh": "disconnectRefresh"; "editPolicy": "editPolicy"; "openTemplate": "openTemplate"; }, never, never, false, never>;
}
