import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Subject } from 'rxjs';
import { ResponsibilityService } from '../../workflow-services/responsibility.service';
import { SelectedValues } from './framework-integration-interfaces';
import { ParentTableComponent } from './parent-table/parent-table.component';
import * as i0 from "@angular/core";
export declare class FrameworkListComponent implements OnInit, OnChanges {
    private responsibilityService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    breadCrumb: any[];
    search: string;
    showParent: boolean;
    showChild: boolean;
    parentData: object;
    tableComponent: ParentTableComponent;
    entrustFramework: EventEmitter<any>;
    closeFramework: EventEmitter<any>;
    assignControl: EventEmitter<any>;
    previousSelectedValues: any;
    headerText: string;
    workflowPage: Array<string>;
    subCategoriesList: {
        from: number;
        to: number;
        currentPage: number;
        totalPages: number;
        totalRecords: number;
        data: never[];
    };
    responsibilitiesList: {
        from: number;
        to: number;
        currentPage: number;
        totalPages: number;
        totalRecords: number;
        data: never[];
    };
    searchText: {
        frameWork: string;
        category: string;
        responsibility: string;
    };
    selectedValues: SelectedValues;
    submissionLoader: boolean;
    currentCategory: any;
    policy: any;
    currentBusinessCycle: any;
    loader: boolean;
    unsubscribe: Subject<unknown>;
    subList: boolean;
    frameWorkList: any;
    selectedFrameWork: any;
    selectedCategories: any[];
    searchfield: any;
    searchCategory: any;
    frameworkData: {
        data: never[];
        from: number;
        to: number;
        totalPages: number;
        totalRecords: number;
        currentPage: number;
    };
    frameworkCount: {
        regulations: number;
        standards: number;
        internalControls: number;
        others: number;
    };
    frameTypeObject: {
        regulations: number;
        standards: number;
        internalControls: number;
        others: number;
    };
    placeholderText: {
        framework: string;
        categories: string;
        responsibilities: string;
    };
    controlsList: any[];
    displayConfirmationMessage: boolean;
    activeTab: 'regulations' | 'standards' | 'internalControls' | 'others';
    currentList: 'framework' | 'categories' | 'responsibilities';
    floatingBarDisplayKeys: {
        framework: string;
        categories: string;
        responsibilities: string;
    };
    constructor(responsibilityService: ResponsibilityService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    expandCategory(category: any): void;
    entrustFrameworkDetails(report: any): void;
    close(): void;
    getFrameworksCount(data?: any): void;
    getFrameworksList(data?: any): void;
    getSubCategories(id?: any, data?: any): void;
    changeTab(type: 'regulations' | 'standards' | 'internalControls' | 'others'): void;
    getResponsibilities(id?: any, data?: any): void;
    changePage(event: any, type: 'frameworks' | 'categories' | 'responsibilities'): void;
    searchBy(event: any, type: 'framework' | 'categories' | 'responsibilities'): void;
    selectFramework(data: any): void;
    save(): void;
    goBack(): void;
    resetPagination(): void;
    remove(): void;
    saveChanges(type: 'programs' | 'categories' | 'responsibilities' | 'programsOnly'): void;
    assignSelectedControl(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrameworkListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrameworkListComponent, "app-framework-list", never, { "previousSelectedValues": { "alias": "previousSelectedValues"; "required": false; }; "headerText": { "alias": "headerText"; "required": false; }; "workflowPage": { "alias": "workflowPage"; "required": false; }; "policy": { "alias": "policy"; "required": false; }; "frameWorkList": { "alias": "frameWorkList"; "required": false; }; "selectedFrameWork": { "alias": "selectedFrameWork"; "required": false; }; "selectedCategories": { "alias": "selectedCategories"; "required": false; }; }, { "entrustFramework": "entrustFramework"; "closeFramework": "closeFramework"; "assignControl": "assignControl"; }, never, never, false, never>;
}
