import { HttpClient, HttpErrorResponse, HttpInterceptor, HttpRequest, HttpHandler, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AuthService } from '../../workflow-services/auth.service';
import { Configurations } from '../../configurations';
import * as i0 from "@angular/core";
export declare class RestApiService implements HttpInterceptor {
    private httpClient;
    private authService;
    env: any;
    constructor(httpClient: HttpClient, authService: AuthService, config?: Configurations);
    /**
     * Interceptor where will intercept any thing has to be intercept in header like token or business cycle
     * anything related to common which needs to pass in each api
     */
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    /**
     * This Handler contains REST_URL which is used to host the server.
     */
    /**
     * This displays the error message when the server is not taking the data.
     * There are Two types errors.
     * Client-side errors.
     * Server-side errors
     */
    handleError(error: HttpErrorResponse): Observable<never>;
    getBusinessCycle(): {
        selected_cycle: string;
        start_date: any;
        end_date: any;
        selected_cycle_arr: any;
    };
    apiDelegate(req: any, additionalUrl?: string): Observable<Object>;
    apiTestDelegate(req: any): Observable<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RestApiService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RestApiService>;
}
