import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TimePickerComponent {
    MINUTES: string[];
    AM_PM: string[];
    private selectedTime;
    hourArray: number[];
    TIME_VARIABLE: string[];
    private defaultSelectedTime;
    set defaultTime(inputTime: string);
    onTimeSelection: EventEmitter<any>;
    constructor();
    onScroll(event: any, type: any): void;
    onValueSelect(value: string | number, type: string): void;
    /**
     * The function `handleMouseWheelEvent` takes an array of current values and a direction ('up' or
     * 'down') as input, and returns an array of next values based on the direction and the maximum and
     * minimum values.
     * @param {number[]} currentValues - An array of numbers representing the current values.
     * @param {'up' | 'down'} direction - The direction parameter is a string that can have two possible
     * values: 'up' or 'down'. It indicates the direction of the mouse wheel event, whether it is
     * scrolling up or scrolling down.
     * @returns an array of numbers representing the next values based on the current values and the
     * direction of the mouse wheel event.
     */
    getNextValuesOnMouseWheel(currentValues: number[], direction: 'up' | 'down'): number[];
    onCloseTimePicker(actionType: 'cancel' | 'ok'): void;
    private getScrollDirection;
    private setMinutes;
    private setMeridiem;
    private findSelectedValue;
    private setDefault;
    private setHoursToDefault;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimePickerComponent, "app-time-picker", never, { "defaultTime": { "alias": "time"; "required": false; }; }, { "onTimeSelection": "onTimeSelection"; }, never, never, false, never>;
}
