import { EventEmitter } from '@angular/core';
import { AuthService } from '../../workflow-services/auth.service';
import { AssessmentService } from '../../workflow-services/assessment.service';
import { CreateAssessmentContainerComponent } from '../../sharedComponents/assessment-editor/create-assessment-container/create-assessment-container.component';
import { IframeService } from '../../services/iframe.service';
import * as i0 from "@angular/core";
export declare class ImportAnAssessmentComponent {
    private auth;
    assessmentService: AssessmentService;
    private iframeService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    editorCont: CreateAssessmentContainerComponent;
    closeWorkflow: EventEmitter<any>;
    disconnectRefresh: EventEmitter<any>;
    isShowLoader: boolean;
    isWrongFormat: boolean;
    fileName: any;
    data: any;
    uploadedFiles: any;
    fileResponse: any;
    fileValue: any;
    organizationId: number;
    errorMessage: string;
    downloadStatus: string;
    downloadPercent: number;
    smileyMessageAction: string;
    actionButtons: {
        buttonText: string;
        class: string;
        id: string;
    }[];
    showSmiley: boolean;
    assessmentData: any;
    sheetData: any;
    convertedData: any;
    isUploaded: boolean;
    categoryData: any;
    setIsUploaded(isUploaded: boolean): void;
    constructor(auth: AuthService, assessmentService: AssessmentService, iframeService: IframeService);
    closeSmiley(event: any): void;
    downloadTemplate(): void;
    triggerBrowseFile(): void;
    uploadFile(evt: any): void;
    categoryList: any;
    generateCategoryList(categoryData: any): void;
    categoryNametoId(categoryName: string): any;
    generateEditorPayload(data: any): void;
    generateQuestionsList(questionsList: any, questionsArray: any): void;
    colMap: any;
    generateSingleTextbox(type: string, question: any, index: any): {
        type: string;
        name: string;
        page: number;
        hasValidation: boolean;
        validationType: string;
        isRequired: boolean;
        hasCharacterLength: boolean;
        minCharacterLength: number;
        maxCharacterLength: number;
        title: any;
        hasDescription: boolean;
        description: any;
        hasComments: boolean;
        comments: any;
        randomize: boolean;
        hasOther: boolean;
        otherValue: string;
        alignment: boolean;
        reverse: boolean;
        isRespondentAttachment: boolean;
        userAttachedFiles: never[];
        isRespondentComment: boolean;
        visibilityLogic: never[];
        otherConfig: {
            color: string;
            isFailed: boolean;
            score: any;
        };
        choices: {
            title: string;
            value: number;
            isSelected: boolean;
            required: number;
            hasHelpingLabel: boolean;
            helpingLabel: string;
            isFailed: boolean;
            score: any;
            color: string;
        }[];
    };
    generateMultipleChoice(type: string, question: any, index: any): {
        type: string;
        name: string;
        page: number;
        hasValidation: boolean;
        validationType: string;
        isRequired: boolean;
        hasCharacterLength: boolean;
        minCharacterLength: number;
        maxCharacterLength: number;
        title: any;
        hasDescription: boolean;
        description: any;
        hasComments: boolean;
        comments: any;
        randomize: boolean;
        hasOther: boolean;
        otherValue: string;
        alignment: boolean;
        reverse: boolean;
        isRespondentAttachment: boolean;
        userAttachedFiles: never[];
        visibilityLogic: never[];
        isRespondentComment: boolean;
        otherConfig: {
            color: string;
            isFailed: boolean;
            score: any;
        };
        choices: any[];
    };
    generateDateTime(type: string, question: any, index: any): {
        type: string;
        name: string;
        page: number;
        hasValidation: boolean;
        validationType: string;
        isRequired: boolean;
        hasCharacterLength: boolean;
        minCharacterLength: number;
        maxCharacterLength: number;
        title: any;
        hasDescription: boolean;
        description: any;
        hasComments: boolean;
        comments: any;
        randomize: boolean;
        hasOther: boolean;
        otherValue: string;
        alignment: boolean;
        reverse: boolean;
        isRespondentAttachment: boolean;
        userAttachedFiles: never[];
        visibilityLogic: never[];
        isRespondentComment: boolean;
        otherConfig: {
            color: string;
            isFailed: boolean;
            score: any;
        };
        choices: {
            title: string;
            value: number;
            isSelected: boolean;
            required: number;
            hasHelpingLabel: boolean;
            helpingLabel: string;
            isFailed: boolean;
            score: any;
            color: string;
        }[];
        hasDate: boolean;
        hasTime: boolean;
        dateFormat: string;
        timeFormat: number;
        date: {
            title: any;
            value: string;
        };
        time: {
            title: any;
            value: string;
        };
    };
    generateFileUpload(question: any, index: any): {
        type: string;
        name: string;
        page: number;
        hasValidation: boolean;
        validationType: string;
        isRequired: boolean;
        hasCharacterLength: boolean;
        minCharacterLength: number;
        maxCharacterLength: number;
        title: any;
        hasDescription: boolean;
        description: any;
        hasComments: boolean;
        comments: any;
        randomize: boolean;
        hasOther: boolean;
        otherValue: string;
        alignment: boolean;
        reverse: boolean;
        isRespondentAttachment: boolean;
        userAttachedFiles: never[];
        visibilityLogic: never[];
        isRespondentComment: boolean;
        otherConfig: {
            color: string;
            isFailed: boolean;
            score: any;
        };
        choices: {
            title: string;
            value: number;
            isSelected: boolean;
            required: number;
            hasHelpingLabel: boolean;
            helpingLabel: string;
            isFailed: boolean;
            score: any;
            color: string;
        }[];
        allowedFileTypes: {
            pdf: boolean;
            doc: boolean;
            png: boolean;
            jpg: boolean;
            gif: boolean;
        };
    };
    generateChoices(question: any): any[];
    settings: any;
    checkFormat(assessmentData: any): boolean;
    initializeEmptyResponseSegment(): {
        title: string;
        description: string;
        maxScore: number;
        segments: never[];
    };
    postAssessment(data: any): void;
    postAssessmentDetails(id: any, mode: any, assessmentDetails: any): void;
    submitWorkflow(): void;
    private getOrigin;
    smileyAction(id: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImportAnAssessmentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImportAnAssessmentComponent, "app-import-an-assessment", never, {}, { "closeWorkflow": "closeWorkflow"; "disconnectRefresh": "disconnectRefresh"; }, never, never, false, never>;
}
