import { EventEmitter, OnInit } from '@angular/core';
import { EditorConfig } from 'vcomply-editor';
import { Configurations } from '../configurations';
import { SnackBarService } from '../ui-kit/snack-bar/snack-bar.service';
import { AssessmentService } from '../workflow-services/assessment.service';
import { AuthService } from '../workflow-services/auth.service';
import { UiKitService } from '../workflow-services/ui-kit.service';
import { IframeService } from '../services/iframe.service';
import * as i0 from "@angular/core";
export declare class WorkflowAssessmentComponent implements OnInit {
    assessmentService: AssessmentService;
    private authService;
    private uiKitService;
    private snackBar;
    private iframeService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    activeSelector: any;
    submitted: boolean;
    loader: boolean;
    showSmiley: boolean;
    mode: string;
    assessmentId: string;
    openedFrom: string;
    disconnectRefresh: EventEmitter<any>;
    sideSelectorElements: any;
    actionButtons: {
        buttonText: string;
        class: string;
        id: string;
    }[];
    assessmentTypeChangeAllowed: boolean;
    timezone: string;
    pickerChanged: EventEmitter<any>;
    closeWorkflow: EventEmitter<any>;
    assessmentForm: any;
    assessmentData: any;
    organizationId: number;
    constructor(assessmentService: AssessmentService, authService: AuthService, uiKitService: UiKitService, snackBar: SnackBarService, iframeService: IframeService, config?: Configurations);
    selectorConfig: {
        ASSESSMENT_CATGORY: {
            panelTitle: string;
            entitySingular: string;
            entityPlural: string;
            displayKey: string;
            identifierKey: string;
            parentKey: string;
            parentDisplayKey: string;
            searchPlaceholder: string;
            noDataText: string;
        };
    };
    ngOnInit(): void;
    getAssessmentDetails(): void;
    setCategory(evt: any): void;
    activateSelector(type: any, event: boolean): void;
    activeDeselector(): void;
    next(type: string, payload: any): void;
    remove(type: any, event: any): void;
    description: EditorConfig;
    changeAssessment(type: string): void;
    closeSmiley(evt: any): void;
    action(evt: any): void;
    checkDescription(): void;
    submitAssessment(): false | undefined;
    validateAssessment(): boolean;
    createAssessment(assessmentForm: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowAssessmentComponent, [null, null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkflowAssessmentComponent, "app-workflow-assessment", never, { "mode": { "alias": "mode"; "required": false; }; "assessmentId": { "alias": "assessmentId"; "required": false; }; "openedFrom": { "alias": "openedFrom"; "required": false; }; }, { "disconnectRefresh": "disconnectRefresh"; "pickerChanged": "pickerChanged"; "closeWorkflow": "closeWorkflow"; }, never, never, false, never>;
}
