import { AfterViewInit, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AddMultipleRiskComponent } from '../add-multiple-risk/add-multiple-risk.component';
import { ConfirmationAlert } from '../interfaces/confirmation-alert';
import { IssueConfiguration } from '../interfaces/issue-data';
import { SnackBarService } from '../ui-kit/snack-bar/snack-bar.service';
import { WorkflowAssessmentComponent } from '../workflow-assessment/workflow-assessment.component';
import { ImportAnAssessmentComponent } from '../workflow-assessment/import-an-assessment/import-an-assessment.component';
import { WorkflowComplianceComponent } from '../workflow-compliance/workflow-compliance.component';
import { WorkflowPolicyComponent } from '../workflow-policy/workflow-policy.component';
import { WorkflowRiskComponent } from '../workflow-risk/workflow-risk.component';
import { AuthService } from '../workflow-services/auth.service';
import { UiKitService } from '../workflow-services/ui-kit.service';
import { LogAnIssueComponent } from './../log-an-issue/log-an-issue.component';
import { MoreOptionComponent } from './../more-option/more-option.component';
import { WorkflowProgramComponent } from '../workflow-program/workflow-program.component';
import { GrcObjectContainerComponent } from '../workflow/grc-object/grc-object-container/grc-object-container.component';
import { OrganizationCommonService } from '../workflow-services/common-workflow-services/organization-common.service';
import { Subscription } from 'rxjs';
import { ReportACaseService } from '../report-a-case/services/report-a-case.service';
import { WorkflowCaseComponent } from '../report-a-case/workflow-case/workflow-case.component';
import { ReportCasePermissionService } from '../services/report-case-permission.service';
import * as i0 from "@angular/core";
export declare class WorkflowEngineContainerComponent implements OnInit, AfterViewInit {
    uiKitService: UiKitService;
    private snackBar;
    auth: AuthService;
    private orgCommonService;
    private reportACaseService;
    private reportCasePermissionService;
    isHostRefreshActive: boolean;
    isRCSelected: boolean;
    featureFlag_groups: boolean;
    addToCaseMode: string;
    permissionSubscription: Subscription;
    constructor(uiKitService: UiKitService, snackBar: SnackBarService, auth: AuthService, orgCommonService: OrganizationCommonService, reportACaseService: ReportACaseService, reportCasePermissionService: ReportCasePermissionService);
    workflowType: string;
    mode: string;
    id: string;
    openedFrom: string;
    source: 'SAP' | 'WORKROOM' | '';
    closeWorkflow: EventEmitter<any>;
    allowedWorkflows: any;
    frameworkDetails: Array<any>;
    selectedRC: string;
    secondaryOpenPortal: string;
    defaultRiskType: string;
    moveToRegisterMode: string;
    reponsibilityData: {
        responsibilityId: null;
        responsibilityName: string;
        rcId: null;
        dueDateId: string;
    };
    assessmentQuestion: any;
    pid: string;
    programType: number;
    issueData: {
        auditPlanId: null;
        auditPlanName: string;
        rcId: null;
    };
    entrustButtonName: string;
    config: IssueConfiguration;
    convertFileData: {};
    selectedCategory: string;
    selectedProgram: any;
    canFrameworkChange: boolean;
    addToProgramDetails: {
        _id: string;
        framework_name: string;
        id?: number;
        type: string;
        description: string;
    };
    grcType: 0 | 1 | 2 | 3;
    isSendForAttestation: boolean;
    assessmentDetails: any;
    templateId: string;
    orgDetails: any;
    programSimplifyFlag: boolean;
    isResponsibilitySimplifyFlag: boolean;
    caseFeatureFlag: boolean;
    animation: boolean;
    workflowList: boolean;
    showMoreOption: boolean;
    isWorkflowSelectorEnabled: boolean;
    disableWorkflowChange: boolean;
    checkpointCount: number;
    reportBy: string;
    currentBusinessCycle: any;
    caseTypePermission: boolean;
    riskComponent: WorkflowRiskComponent;
    riskBulkUpload: AddMultipleRiskComponent;
    responsibilityBulkUpload: AddMultipleRiskComponent;
    compliance: WorkflowComplianceComponent;
    moreOption: MoreOptionComponent;
    dropdown: ElementRef;
    dropdownRow: ElementRef;
    policy: WorkflowPolicyComponent;
    logIssueComponent: LogAnIssueComponent;
    workflowAssessmentComponent: WorkflowAssessmentComponent;
    importAnAssessment: ImportAnAssessmentComponent;
    program: WorkflowProgramComponent;
    grcObject: GrcObjectContainerComponent;
    reportCase: WorkflowCaseComponent;
    dropdownLeft: any;
    dropdownTop: any;
    dropdownWidth: any;
    closeOnEsc: boolean;
    feature: any;
    organizationDetails: any;
    onKeydownHandler(event: KeyboardEvent): void;
    userList: any;
    currentWorkflow: any;
    workflowTypeList: any;
    additionalInformationList: string[];
    confirmationAlertConfig: ConfirmationAlert;
    checkCurrentWorkflow(): void;
    closeWorkflowEngine(evt?: any): void;
    closeConfirm(evt: any): void;
    executeClose(evt: any): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    checkPermission(): void;
    setNetworkListner(): void;
    ngAfterViewInit(): void;
    checkReportCasePermission(): void;
    userListEmitter(event: any): void;
    decideViewMoreOption(type?: boolean): void;
    setWorkflowSelector(type?: boolean): void;
    caseReportedBy(event: any): void;
    submit(): void;
    submitWorkflow(): void;
    private getOrigin;
    editWorkflow(): void;
    closeWorkflowList(): void;
    sizeChange(event: any): void;
    changeWorkflow(evt: any, selectedWorkflow: any): void;
    confirmWorkflowChange(evt: any): any;
    setWorkflow(workFlowCode: any, workFlowList: any): any;
    addMoreInfo(event: any): void;
    populateMoreOption(event: any): void;
    hideElementsFromMoreOptions(event: any): void;
    showConfirmationPopup(config: ConfirmationAlert): void;
    bulkUploadBrowse(event: any): void;
    onResetForm(): void;
    onResetGRCForm(): void;
    shiftToEditMode(): void;
    scrollForm(): void;
    /**
     *
     * @param event which more options we are removing.
     * @param isCheckpointChecked  is true if value checkpoints is removed by clicking on more options
     */
    onRemovingCheckpoint(event: string, isCheckpointChecked?: boolean, isDataRemoved?: boolean): void;
    onRemovingRole(event: string): void;
    isAssessmentDisabled(isDisabled: boolean): void;
    disableMoreOptions(workflowCode: any, disabledElementsCode: any): void;
    onCheckpointSelection(event: number): void;
    onRcSelected(isRcSelected: boolean): void;
    fetchOrganizationDetails(): void;
    getUserDetails(): void;
    assigneeTypeChange(): void;
    onReviewerChange(event: string): void;
    isResponsibilitySimplify(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowEngineContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkflowEngineContainerComponent, "app-vcomply-workflow-engine-container", never, { "workflowType": { "alias": "workflowType"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "id": { "alias": "id"; "required": false; }; "openedFrom": { "alias": "openedFrom"; "required": false; }; "source": { "alias": "source"; "required": false; }; "allowedWorkflows": { "alias": "allowedWorkflows"; "required": false; }; "frameworkDetails": { "alias": "frameworkDetails"; "required": false; }; "selectedRC": { "alias": "selectedRC"; "required": false; }; "secondaryOpenPortal": { "alias": "secondaryOpenPortal"; "required": false; }; "defaultRiskType": { "alias": "defaultRiskType"; "required": false; }; "moveToRegisterMode": { "alias": "moveToRegisterMode"; "required": false; }; "reponsibilityData": { "alias": "reponsibilityData"; "required": false; }; "assessmentQuestion": { "alias": "assessmentQuestion"; "required": false; }; "pid": { "alias": "pid"; "required": false; }; "programType": { "alias": "programType"; "required": false; }; "issueData": { "alias": "issueData"; "required": false; }; "entrustButtonName": { "alias": "entrustButtonName"; "required": false; }; "config": { "alias": "config"; "required": false; }; "convertFileData": { "alias": "convertFileData"; "required": false; }; "selectedCategory": { "alias": "selectedCategory"; "required": false; }; "selectedProgram": { "alias": "selectedProgram"; "required": false; }; "canFrameworkChange": { "alias": "canFrameworkChange"; "required": false; }; "addToProgramDetails": { "alias": "addToProgramDetails"; "required": false; }; "grcType": { "alias": "grcType"; "required": false; }; "isSendForAttestation": { "alias": "isSendForAttestation"; "required": false; }; "assessmentDetails": { "alias": "assessmentDetails"; "required": false; }; "templateId": { "alias": "templateId"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; }, { "closeWorkflow": "closeWorkflow"; }, never, never, false, never>;
}
