export interface PolicyForm {
    policyName: string;
    policyNotes: string;
    selectedCategories: [];
    selectedApprovers: any;
    selectedAssignees: [];
    selectedGroupAssignee: [];
    selectedReviewers: [];
    selectedRCs: [];
    CCFailEmail: [];
    CCFailEmailGroup: [];
    CCEmail: [];
    CCGroupEmail: [];
    availableOnPortal: boolean;
    acceptSuggestions: boolean;
    requiresSignatureForAttestation: boolean;
    riskRating: number;
    associatedDocuments: {
        formatFiles: [];
    };
    policyDueDate: any;
    customTags: {}[];
    checkpointDetails: [];
    totalQuestion: number;
    passingMarks: number;
    documentsAndLinks: {
        formatFiles: [];
        formatLinks: [];
    };
    addResponsibilityCenters: boolean;
    addReviewers: boolean;
    addCheckpoints: boolean;
    addOverseers: boolean;
    addAssociatedDocuments: boolean;
    isPortalDisplayEnabled: boolean;
    failed_time: string;
    frequency_details: string;
    frequency_text: string;
    mark_failed_after: number;
    remind_days_before_due_date: number;
    reviewFailedAfter: number;
    reviewFailedTime: string;
    review_frequency_details: string;
    review_frequency_type: string;
    review_remind_days_before_due_date: number;
    review: boolean;
    linkProgram: any;
    programSelectedValues: any;
    reviewer_start_date: string;
    assignee_start_date: string;
    policy_version: string;
    assessment: Array<{
        category_id: string;
        assessment_id: string;
        assessmentDetails: any;
        category_details: any;
    }>;
    LinkedPolicies: Array<any>;
    policy_owners: Array<{
        member_email: string;
        member_id: number;
        member_name: string;
        _id: string;
    }>;
    policy_group_owners: Array<string>;
    businessCycle: any;
    addVersion: boolean;
    addLinkAssessment: boolean;
    addLinkPolicies: boolean;
    addLinkProgram: boolean;
    policy_id: number;
    policy_access_type: number;
    policy_access_owners: Array<any>;
    policy_access_groups: Array<any>;
}
