import { EventEmitter, OnInit } from '@angular/core';
import { AuthService } from '../../../workflow-services/auth.service';
import { AssessmentService } from './assessment.service';
import * as i0 from "@angular/core";
export declare class AssessmentPickerComponent implements OnInit {
    private assessmentService;
    private auth;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    animation: boolean;
    selectedData: any;
    subList: boolean;
    isEdit: boolean;
    openedCategory: Array<number>;
    assessmentPayload: {
        search_title: string;
        page_no: string;
        state: string;
        search_text: string;
        alphabet_filter: string;
    };
    dataPerPage: number;
    assessmentCategory: any;
    isLoader: boolean;
    set setSelected(value: any);
    isDeleted: boolean;
    searchAssessments: string;
    previewQuestionData: any;
    isPreview: boolean;
    selectedAssessmentData: any;
    onAssessmentSelect: EventEmitter<any>;
    cancelAssessment: EventEmitter<any>;
    selectedAssessmentArr: any;
    constructor(assessmentService: AssessmentService, auth: AuthService);
    ngOnInit(): void;
    onAssessmentSelected(event: any): void;
    preview(evt: any): void;
    previewBack(): void;
    /**
     *
     * @param index : Accept index of elementPosition
     *
     */
    showSubList(index: number, id: any): number[];
    expandCategory(categoryId: any): void;
    /**
     *
     * @param event : page number that has been selected
     */
    onPageSelection(event: number): void;
    /**
     *
     * @param search : search text
     */
    onAssessmentSearch(search: string): void;
    /**
     *
     * @param event : Assessment category filter of Alphabet
     */
    onAlphabetSelected(event: string): void;
    getAssessmentCategoryList(): void;
    /**
     *
     * @param id : Assessment category id
     */
    getAssessmentList(id: string): void;
    selectedAssessmentCategoriesIds: any;
    selectedAssessmentIds: any;
    selectedAssessment: any;
    /**
     * #### Description
     * Selects item or deselect a itme
     * @param evt
     * @param payload
     */
    selectAssessment(evt: any, payload: any, category: any): void;
    setCategoryAndAssessment(): void;
    save(): void;
    close(): void;
    /**
     * #### Description
     *
     * Returns the unique array of object based on unique key
     * @param array
     * @param key
     * @returns
     */
    uniqueByProp(array: any, key: string): unknown[];
    static ɵfac: i0.ɵɵFactoryDeclaration<AssessmentPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssessmentPickerComponent, "assessment-picker", never, { "isEdit": { "alias": "isEdit"; "required": false; }; "setSelected": { "alias": "selectedAssessment"; "required": false; }; "selectedAssessmentData": { "alias": "selectedAssessmentData"; "required": false; }; }, { "onAssessmentSelect": "onAssessmentSelect"; "cancelAssessment": "cancelAssessment"; }, never, never, false, never>;
}
