import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class RoleListComponent implements OnInit {
    save: EventEmitter<any>;
    cancel: EventEmitter<any>;
    featureflagrole: boolean;
    featureflagGroup: boolean;
    ff_rc_listing: boolean;
    animation: boolean;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    constructor();
    ngOnInit(): void;
    searchKey: any;
    systemRolesIds: any;
    selectedIds: any;
    selectedRoles: any;
    expandedRows: any;
    rolesList: any;
    initialSelected: any;
    showConfirmation: boolean;
    allListIds: never[];
    allSelected: boolean;
    set setList(value: any);
    loading: boolean;
    set selectedRolesVal(value: any);
    /**
     * #### Description
     *
     * Expands or collapse the row
     * @param type
     * @param [id]
     */
    expandOrCollapse(type: 'EXPAND' | 'COLLAPSE' | 'COLLAPSE_ALL', id?: any): void;
    selectAll(evt: any): void;
    setAllSelectedStatus(): void;
    /**
     * #### Description
     *
     * Sets system role for admins and key admins
     * @param roles
     */
    setSystemRole(roles: any): void;
    /**
     * #### Description
     * Selects item or deselect a itme
     * @param evt
     * @param payload
     */
    selectItem(evt: any, payload: any): void;
    /**
     * #### Description
     *
     * Manipulates selected items in role list
     * @param action :'ADD' | 'DELETE'
     * @param payload
     */
    manipulateSelectedItems(action: 'ADD' | 'DELETE', payload: any): void;
    saveList(): void;
    confirmAction(evt: 'YES' | 'NO'): void;
    closeList(): void;
    /**
     * #### Description
     *
     * Returns the unique array of object based on unique key
     * @param array
     * @param key
     * @returns
     */
    uniqueByProp(array: any, key: string): unknown[];
    permissionText(permission: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoleListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RoleListComponent, "role-list", never, { "featureflagrole": { "alias": "featureflagrole"; "required": false; }; "featureflagGroup": { "alias": "featureflagGroup"; "required": false; }; "ff_rc_listing": { "alias": "ff_rc_listing"; "required": false; }; "setList": { "alias": "list"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "selectedRolesVal": { "alias": "selected"; "required": false; }; }, { "save": "save"; "cancel": "cancel"; }, never, never, false, never>;
}
