import { HttpClient } from '@angular/common/http';
import { Configurations } from '../configurations';
import { AuthService } from './auth.service';
import * as i0 from "@angular/core";
export declare class ProgramsService {
    private http;
    private authService;
    env: any;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    getRoles(): import("rxjs").Observable<Object>;
    /**
     * Uploads the given file to server
     * @param payload payload File data to be uploaded
     * @param path path Path of file to be uploaded
     * @returns response after uploading a file
     */
    uploadFiles(payload: any, path: any): import("rxjs").Observable<Object>;
    getResponsibilityCenterList(): import("rxjs").Observable<any[]>;
    fetchRoleUsers(roles: any, page?: any, searchKey?: any): import("rxjs").Observable<any[]>;
    fetchAllRoleUsers(roles: any): import("rxjs").Observable<any[]>;
    fetchAllRoleGroups(roles: any): import("rxjs").Observable<any[]>;
    fetchAllOrgUser(): import("rxjs").Observable<any[]>;
    fetchComplianceGroups(): import("rxjs").Observable<any[]>;
    getBusinessCycle(): {
        selected_cycle: string;
        start_date: any;
        end_date: any;
        selected_cycle_arr: any;
    };
    saveProgram(payload: any): import("rxjs").Observable<any[]>;
    buildPayload(formData: any, instance: any): {
        mode: string;
        name: any;
        description: {
            text: any;
            attachments: any;
        };
        program_objective: {
            text: any;
            attachments: any;
        };
        roles: any;
        owners: any;
        owners_group: any;
        all_user_in_role: any;
        programType: any;
        state: any;
        approvers: any;
        calculate_past_upcoming_event: any;
        program_frequency: number;
        lock_scope: number;
        rc_ids: any;
        assignee_ids: any;
        assignee_group_ids: any;
        default_assignee_ids: any;
        default_assignee_group_ids: any;
        default_assignee_type: any;
        reviewers: any;
        reviewer_group_ids: any;
        default_reviewers: any;
        default_reviewer_group_ids: any;
        default_reviewers_type: any;
        overseers: {
            cc_email: any;
            cc_email_groups: any;
            failure_cc_email: never[];
            failure_cc_email_groups: never[];
        };
        default_overseers: {
            cc_email: any;
            cc_email_groups: any;
            failure_cc_email: any;
            failure_cc_email_groups: any;
        };
        assessment: any;
        evidence_upload_flag: number;
        is_key_evidence: any;
        custom_fields: any;
        framework: {
            _id: any;
            framework_name: any;
            type: any;
            in_scope: any;
            out_scope: any;
        }[];
        collaborators: any;
        _id: any;
    };
    generateAssessment(assessment: any): any;
    getFramework(input: any): {
        _id: any;
        framework_name: any;
        type: any;
        in_scope: any;
        out_scope: any;
    }[];
    listToId(list: any, key: string): any;
    /**
     *
     * @param id : program object id
     * @returns
     */
    getProgram(id: any): import("rxjs").Observable<any[]>;
    /**
     *
     * @param payload payload which need to be updated
     * @param id program object id
     * @returns
     */
    updateProgram(payload: any, id: string): import("rxjs").Observable<any[]>;
    getMemeberByIds(ids: any): import("rxjs").Observable<any[]>;
    getMemberByGroups(ids: any): import("rxjs").Observable<any[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgramsService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProgramsService>;
}
