import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AttributesCheckboxComponent implements OnInit {
    animation: boolean;
    selectedAttribute: any;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    onSelectedAttributes: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    /**
     * The `animatePopup` function sets the `animation` property to true, waits for 300 milliseconds, and
     * then sets the `animation` property to false.
     */
    animatePopup(): void;
    deleteEvent: (event: any) => void;
    close: (event?: any) => void;
    selectAttributes: (index: number, event: any) => void;
    /**
     * The selectAll function sets the "is_selected" property to true for each choice in the
     * selectedAttribute.
     */
    selectAll(): void;
    /**
     * The function checks if all choices in the selectedAttribute have the "is_selected" property set to
     * true.
     * @returns The code is returning a boolean value indicating whether all choices in the
     * `selectedAttribute` have the `is_selected` property set to `true`.
     */
    get isSelectAll(): any;
    /**
     * The function returns the selected choices from a list of choices.
     * @returns The `getSelectedValue` method returns an array of choices from the `selectedAttribute`
     * object where the `is_selected` property is set to `true`.
     */
    get getSelectedValue(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttributesCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttributesCheckboxComponent, "lib-attributes-checkbox", never, { "selectedAttribute": { "alias": "selectedAttribute"; "required": false; }; }, { "onSelectedAttributes": "onSelectedAttributes"; }, never, never, true, never>;
}
