import { EventEmitter, OnInit } from '@angular/core';
import { Attributes } from '../../interfaces/add-grc';
import { GrcService } from '../../services/grc.service';
import * as i0 from "@angular/core";
export declare class AttributesComponent implements OnInit {
    private grcService;
    VALIDATION_MESSAGE: any;
    attributesInfo: Attributes;
    CDN_LINK: {
        grcObjectName: string;
        grcOwners: string;
        grcRC: string;
        grcType: string;
        customFields: string;
        noData: string;
        linkOthers: string;
        linkGRC: string;
        linkPolicyNoDataImage: string;
        linkedPolicyImage: string;
    };
    openedPopup: string;
    selectedAttribute: any;
    currentIndex: number;
    isFormSubmitted: boolean;
    disabled: boolean;
    multiPlaceholderText: string;
    onAttributesSelection: EventEmitter<any>;
    onClick: EventEmitter<any>;
    constructor(grcService: GrcService);
    ngOnInit(): void;
    onDataSelection: (data: any, index: number) => void;
    onPopupOpen: (type: string, data: any, index: number) => void;
    /**
     * The close function updates the attributesInfo, openedPopup, currentIndex, and selectedAttribute
     * properties.
     * @param {any} event - The event parameter is an object that represents the event that triggered the
     * close function. It could be any type of event, such as a mouse click or a keyboard event.
     */
    close(event: any): void;
    onRemoveData(removedInfo: any, index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttributesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttributesComponent, "lib-attributes", never, { "attributesInfo": { "alias": "attributesInfo"; "required": false; }; "isFormSubmitted": { "alias": "isFormSubmitted"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "onAttributesSelection": "onAttributesSelection"; "onClick": "onClick"; }, never, never, true, never>;
}
